petsc-3.10.5 2019-03-28
Report Typos and Errors

# ISBlockGetSize

Returns the global number of blocks in the index set.

### Synopsis

    #include "petscis.h"
    PetscErrorCode  ISBlockGetSize(IS is,PetscInt *size)

Not Collective

### Input Parameter

is -the index set

### Output Parameter

size -the global number of blocks

### See Also

ISGetBlockSize(), ISBlockGetLocalSize(), ISGetSize(), ISCreateBlock()

### Level

intermediate

### Location

src/vec/is/is/impls/block/block.c

### Implementations

ISBlockGetSize_Block in src/vec/is/is/impls/block/block.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages